Skip to main content
GET
/
notions
Python
import os
from qaip import Qaip

client = Qaip(
    api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
)
notions = client.notions.list()
print(notions.notions)
{
  "notions": [
    {
      "id": "<string>",
      "name": "<string>",
      "page_id": "<string>",
      "status": "unknown",
      "ingestion_setting_id": "<string>",
      "creation_time": 123,
      "start_time": 123,
      "end_time": 123,
      "error": {
        "title": "<string>",
        "message": "<string>"
      },
      "metadata": {
        "records": [
          {
            "key": "<string>",
            "val": "<string>",
            "type": "string"
          }
        ]
      }
    }
  ],
  "pagination": {
    "limit": 123,
    "has_more": true,
    "total": 123,
    "next_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
after_id
string<uuid>

Fetch records after this ID

Response

Successful retrieval of Notion data sources

notions
object[]
required
pagination
object
required